"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const Dialog_1 = tslib_1.__importDefault(require("@material-ui/core/Dialog"));
const DialogActions_1 = tslib_1.__importDefault(require("@material-ui/core/DialogActions"));
const DialogContent_1 = tslib_1.__importDefault(require("@material-ui/core/DialogContent"));
const DialogContentText_1 = tslib_1.__importDefault(require("@material-ui/core/DialogContentText"));
const DialogTitle_1 = tslib_1.__importDefault(require("@material-ui/core/DialogTitle"));
const react_1 = tslib_1.__importDefault(require("react"));
/**
 * Represents a confirmation dialog
 */
exports.ConfirmationDialog = props => {
    const handleCancel = () => props.onClose(true);
    const handleOk = () => props.onClose(false);
    return (react_1.default.createElement(Dialog_1.default, { disableBackdropClick: true, disableEscapeKeyDown: true, maxWidth: "md", "aria-labelledby": "confirmation-dialog-title", "aria-describedby": "confirmation-dialog-description", open: props.isOpen },
        react_1.default.createElement(DialogTitle_1.default, { id: "confirmation-dialog-title" }, props.dialogTitle),
        react_1.default.createElement(DialogContent_1.default, null,
            react_1.default.createElement(DialogContentText_1.default, { dangerouslySetInnerHTML: { __html: props.children }, id: "confirmation-dialog-description" })),
        react_1.default.createElement(DialogActions_1.default, null,
            react_1.default.createElement(Button_1.default, { onClick: handleOk, variant: "contained", color: "primary" }, props.okButtonText || 'ok'),
            react_1.default.createElement(Button_1.default, { onClick: handleCancel }, props.cancelButtonText || 'cancel'))));
};
//# sourceMappingURL=ConfirmationDialog.js.map