import React, { FunctionComponent } from 'react';
import { Comment as CommentType } from '../../models/Comment';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
import { setSelectedCommentId } from '../../store/Comments';
declare const mapStateToProps: (state: RootReducerType) => {
    localization: import("../../store/Localization").LocalizationStateType;
    selectedCommentId: string;
    host: string;
};
declare const mapDispatchToProps: {
    deleteComment: (id: string) => {
        type: string;
        inject: (options: import("redux-di-middleware").IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
    };
    setSelectedCommentId: typeof setSelectedCommentId;
};
/**
 * Comment prop type
 */
export declare type CommentPropType = componentType<typeof mapStateToProps, typeof mapDispatchToProps, CommentType>;
/**
 * Represents a single comment component.
 */
export declare const CommentComponent: FunctionComponent<CommentPropType>;
declare const _default: import("react-redux").ConnectedComponentClass<React.FunctionComponent<componentType<(state: RootReducerType) => {
    localization: import("../../store/Localization").LocalizationStateType;
    selectedCommentId: string;
    host: string;
}, {
    deleteComment: (id: string) => {
        type: string;
        inject: (options: import("redux-di-middleware").IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
    };
    setSelectedCommentId: typeof setSelectedCommentId;
}, CommentType, {
    localization: import("../../store/Localization").LocalizationStateType;
    selectedCommentId: string;
    host: string;
}, RootReducerType>>, Pick<componentType<(state: RootReducerType) => {
    localization: import("../../store/Localization").LocalizationStateType;
    selectedCommentId: string;
    host: string;
}, {
    deleteComment: (id: string) => {
        type: string;
        inject: (options: import("redux-di-middleware").IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
    };
    setSelectedCommentId: typeof setSelectedCommentId;
}, CommentType, {
    localization: import("../../store/Localization").LocalizationStateType;
    selectedCommentId: string;
    host: string;
}, RootReducerType>, "text" | "id" | "page" | "x" | "y" | "createdBy">>;
export default _default;
//# sourceMappingURL=Comment.d.ts.map