"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Avatar_1 = tslib_1.__importDefault(require("@material-ui/core/Avatar"));
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const CardActions_1 = tslib_1.__importDefault(require("@material-ui/core/CardActions"));
const CardContent_1 = tslib_1.__importDefault(require("@material-ui/core/CardContent"));
const CardHeader_1 = tslib_1.__importDefault(require("@material-ui/core/CardHeader"));
const Collapse_1 = tslib_1.__importDefault(require("@material-ui/core/Collapse"));
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_1 = tslib_1.__importStar(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
const Comments_1 = require("../../store/Comments");
const DeleteCommentButton_1 = require("./DeleteCommentButton");
const style_1 = require("./style");
const mapStateToProps = (state) => ({
    localization: state.sensenetDocumentViewer.localization,
    selectedCommentId: state.comments.selectedCommentId,
    host: state.sensenetDocumentViewer.documentState.document.hostName,
});
const mapDispatchToProps = {
    deleteComment: store_1.deleteComment,
    setSelectedCommentId: Comments_1.setSelectedCommentId,
};
const MAX_TEXT_LENGTH = 160;
/**
 * Represents a single comment component.
 */
exports.CommentComponent = props => {
    const isLongText = props.text && props.text.length > MAX_TEXT_LENGTH;
    const [isOpen, setIsOpen] = react_1.useState(!isLongText);
    const isSelected = () => props.selectedCommentId === props.id;
    return (react_1.default.createElement(style_1.StyledCard, { id: props.id, isSelected: isSelected(), raised: isSelected(), onClick: () => props.setSelectedCommentId(props.id) },
        react_1.default.createElement(CardHeader_1.default, { avatar: props.host === props.createdBy.avatarUrl ? (react_1.default.createElement(Avatar_1.default, null)) : (react_1.default.createElement(Avatar_1.default, { src: props.createdBy.avatarUrl, alt: props.localization.avatarAlt })), title: props.createdBy.displayName }),
        react_1.default.createElement(Collapse_1.default, { in: isOpen, timeout: "auto", collapsedHeight: isOpen ? '0px' : '78px' },
            react_1.default.createElement(CardContent_1.default, null,
                react_1.default.createElement(Typography_1.default, { style: { wordBreak: 'break-word' } }, props.text))),
        react_1.default.createElement(CardActions_1.default, null, isLongText ? (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Button_1.default, { size: "small", onClick: () => setIsOpen(!isOpen) }, isOpen ? props.localization.showLess || 'Show less' : props.localization.showMore || 'Show more'),
            isOpen ? react_1.default.createElement(DeleteCommentButton_1.DeleteButton, Object.assign({}, props)) : null)) : (react_1.default.createElement(DeleteCommentButton_1.DeleteButton, Object.assign({}, props))))));
};
exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(exports.CommentComponent);
//# sourceMappingURL=Comment.js.map