import { DraftCommentMarker } from '../../models';
import { LocalizationStateType } from '../../store/Localization';
/**
 * Localization keys for create comment component
 */
export declare type CreateCommentLocalization = Pick<LocalizationStateType, 'commentInputPlaceholder' | 'addComment' | 'submit' | 'inputRequiredError' | 'markerRequiredError' | 'markerTooltip' | 'cancelButton'>;
/**
 * Create comment component properties
 */
export interface CreateCommentProps {
    createComment: (text: string) => void;
    localization?: CreateCommentLocalization;
    isPlacingMarker: boolean;
    handlePlaceMarkerClick: (isPlacing?: boolean) => void;
    draftCommentMarker?: DraftCommentMarker;
    isActive: boolean;
    handleIsActive: (isActive: boolean) => void;
    inputValue: string;
    handleInputValueChange: (value: string) => void;
}
/**
 * Represents a comment creator component
 */
export declare function CreateComment(props: CreateCommentProps): JSX.Element;
//# sourceMappingURL=CreateComment.d.ts.map