"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const react_1 = tslib_1.__importStar(require("react"));
const ConfirmationDialog_1 = require("../ConfirmationDialog");
/**
 * Represents a delete button with confirmation dialog
 */
exports.DeleteButton = (props) => {
    const [isDialogOpen, setIsDialogOpen] = react_1.useState(false);
    const handleClick = () => {
        setIsDialogOpen(true);
    };
    const handleDialogClose = (isCanceled) => {
        if (!isCanceled) {
            props.deleteComment(props.id);
        }
        setIsDialogOpen(false);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { color: "primary", size: "small", onClick: handleClick }, props.localization.delete || 'delete'),
        react_1.default.createElement(ConfirmationDialog_1.ConfirmationDialog, { dialogTitle: props.localization.deleteCommentDialogTitle, cancelButtonText: props.localization.cancelButton, okButtonText: props.localization.okButton, isOpen: isDialogOpen, onClose: handleDialogClose }, props.localization.deleteCommentDialogBody)));
};
//# sourceMappingURL=DeleteCommentButton.js.map