"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Card_1 = tslib_1.__importDefault(require("@material-ui/core/Card"));
const SvgIcon_1 = tslib_1.__importDefault(require("@material-ui/core/SvgIcon"));
const react_1 = tslib_1.__importDefault(require("react"));
const styled_components_1 = tslib_1.__importDefault(require("styled-components"));
exports.StyledForm = styled_components_1.default.form `
  width: 100%;
  display: flex;
`;
exports.StyledSvgIcon = styled_components_1.default((_a) => {
    var { isPlacingMarker } = _a, rest = tslib_1.__rest(_a, ["isPlacingMarker"]);
    return react_1.default.createElement(SvgIcon_1.default, Object.assign({}, rest));
}) `
  color: ${props => (props.isPlacingMarker ? props.theme.palette.primary.light : 'inherit')};
  transform: ${props => (props.isPlacingMarker ? 'rotate(90deg)' : '')};
`;
exports.StyledCard = styled_components_1.default((_a) => {
    var { isSelected } = _a, rest = tslib_1.__rest(_a, ["isSelected"]);
    return react_1.default.createElement(Card_1.default, Object.assign({}, rest));
}) `
  && {
    background-color: ${props => (props.isSelected ? 'rgb(0,0,0,0.1)' : 'rgb(0,0,0,0)')};
    width: 100%;
    margin-bottom: 10px;
  }
`;
exports.StyledButtonContainer = styled_components_1.default.div `
  display: flex;
  flex-direction: row-reverse;
`;
//# sourceMappingURL=style.js.map