"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const Print_1 = tslib_1.__importDefault(require("@material-ui/icons/Print"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        title: state.sensenetDocumentViewer.localization.print,
        document: state.sensenetDocumentViewer.documentState.document,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {};
/**
 * Component that allows active page rotation
 */
class PrintComponent extends react_1.default.Component {
    /**
     * renders the component
     */
    render() {
        return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
            react_1.default.createElement(IconButton_1.default, { color: "inherit", title: this.props.title, onClick: () => this.props.print(this.props.document), id: "Print" },
                react_1.default.createElement(Print_1.default, null))));
    }
}
exports.PrintComponent = PrintComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(PrintComponent);
exports.Print = connectedComponent;
//# sourceMappingURL=PrintWidget.js.map