import React from 'react';
import { PreviewImageData } from '../../models';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    pages: PreviewImageData[];
    activePages: number[];
    rotateDocumentLeft: string;
    rotateDocumentRight: string;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[];
        amount: number;
    };
};
/**
 * Component that allows active page rotation
 */
export declare class RotateActivePagesComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private rotateDocumentLeft;
    private rotateDocumentRight;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof RotateActivePagesComponent, Pick<componentType<(state: RootReducerType) => {
    pages: PreviewImageData[];
    activePages: number[];
    rotateDocumentLeft: string;
    rotateDocumentRight: string;
}, {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[];
        amount: number;
    };
}, {}, {
    pages: PreviewImageData[];
    activePages: number[];
    rotateDocumentLeft: string;
    rotateDocumentRight: string;
}, RootReducerType>, never>>;
export { connectedComponent as RotateActivePages };
//# sourceMappingURL=RotateActivePages.d.ts.map