"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const RotateLeft_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateLeft"));
const RotateRight_1 = tslib_1.__importDefault(require("@material-ui/icons/RotateRight"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        pages: state.sensenetDocumentViewer.previewImages.AvailableImages,
        activePages: state.sensenetDocumentViewer.viewer.activePages,
        rotateDocumentLeft: state.sensenetDocumentViewer.localization.rotateDocumentLeft,
        rotateDocumentRight: state.sensenetDocumentViewer.localization.rotateDocumentRight,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    rotateImages: store_1.rotateImages,
};
/**
 * Component that allows active page rotation
 */
class RotateActivePagesComponent extends react_1.default.Component {
    rotateDocumentLeft() {
        this.props.rotateImages(this.props.activePages, -90);
    }
    rotateDocumentRight() {
        this.props.rotateImages(this.props.activePages, 90);
    }
    /**
     * renders the component
     */
    render() {
        return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
            react_1.default.createElement(IconButton_1.default, { color: "inherit", title: this.props.rotateDocumentLeft, onClick: () => this.rotateDocumentLeft(), id: "RotateActiveLeft" },
                react_1.default.createElement(RotateLeft_1.default, null)),
            react_1.default.createElement(IconButton_1.default, { color: "inherit", title: this.props.rotateDocumentRight, onClick: () => this.rotateDocumentRight(), id: "RotateActiveRight" },
                react_1.default.createElement(RotateRight_1.default, null))));
    }
}
exports.RotateActivePagesComponent = RotateActivePagesComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(RotateActivePagesComponent);
exports.RotateActivePages = connectedComponent;
//# sourceMappingURL=RotateActivePages.js.map