import React from 'react';
import { DocumentData, PreviewImageData } from '../../models';
import { componentType } from '../../services/TypeHelpers';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    saveChanges: string;
    document: DocumentData;
    pages: PreviewImageData[];
    canEdit: boolean;
    hasChanges: boolean;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    save: (document: DocumentData, pages: PreviewImageData[]) => void;
};
/**
 * Document widget component for saving document state
 */
export declare class SaveDocumentComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private save;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof SaveDocumentComponent, Pick<componentType<(state: RootReducerType) => {
    saveChanges: string;
    document: DocumentData;
    pages: PreviewImageData[];
    canEdit: boolean;
    hasChanges: boolean;
}, {
    save: (document: DocumentData, pages: PreviewImageData[]) => void;
}, {}, {
    saveChanges: string;
    document: DocumentData;
    pages: PreviewImageData[];
    canEdit: boolean;
    hasChanges: boolean;
}, RootReducerType>, never>>;
export { connectedComponent as SaveWidget };
//# sourceMappingURL=SaveWidget.d.ts.map