"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Comment_1 = tslib_1.__importDefault(require("@material-ui/icons/Comment"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
const ToggleBase_1 = require("./ToggleBase");
/**
 * Represents a comment toggler component
 */
function ToggleComments(props) {
    return (react_1.default.createElement(ToggleBase_1.ToggleBase, Object.assign({}, props),
        react_1.default.createElement(Comment_1.default, null)));
}
exports.ToggleComments = ToggleComments;
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        isVisible: state.sensenetDocumentViewer.viewer.showComments,
        title: state.sensenetDocumentViewer.localization.toggleComments,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setValue: store_1.showComments,
};
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ToggleComments);
exports.ToggleCommentsWidget = connectedComponent;
//# sourceMappingURL=ToggleComments.js.map