"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const PictureInPicture_1 = tslib_1.__importDefault(require("@material-ui/icons/PictureInPicture"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
const ToggleBase_1 = require("./ToggleBase");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        canHideRedaction: state.sensenetDocumentViewer.documentState.canHideRedaction,
        isVisible: state.sensenetDocumentViewer.viewer.showShapes,
        showRedaction: state.sensenetDocumentViewer.viewer.showRedaction,
        title: state.sensenetDocumentViewer.localization.toggleRedaction,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setValue: store_1.setRedaction,
};
/**
 * Document widget component to toggleing redaction
 */
exports.ToggleRedactionComponent = props => (react_1.default.createElement(ToggleBase_1.ToggleBase, Object.assign({}, props),
    react_1.default.createElement(PictureInPicture_1.default, null)));
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(exports.ToggleRedactionComponent);
exports.ToggleRedactionWidget = connectedComponent;
//# sourceMappingURL=ToggleRedaction.js.map