"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Dashboard_1 = tslib_1.__importDefault(require("@material-ui/icons/Dashboard"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
const ToggleBase_1 = require("./ToggleBase");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        isVisible: state.sensenetDocumentViewer.viewer.showShapes,
        title: state.sensenetDocumentViewer.localization.toggleShapes,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setValue: store_1.setShapes,
};
/**
 * Document widget component that toggles the displaying of the shapes
 */
exports.ToggleShapesComponent = props => (react_1.default.createElement(ToggleBase_1.ToggleBase, Object.assign({}, props),
    react_1.default.createElement(Dashboard_1.default, null)));
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(exports.ToggleShapesComponent);
exports.ToggleShapesWidget = connectedComponent;
//# sourceMappingURL=ToggleShapes.js.map