"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const ZoomIn_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomIn"));
const ZoomOut_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomOut"));
const react_1 = tslib_1.__importDefault(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        fitRelativeZoomLevel: state.sensenetDocumentViewer.viewer.fitRelativeZoomLevel,
    };
};
/**
 * maps state actions from the store to component props
 */
exports.mapDispatchToProps = {
    setFitRelativeZoomLevel: store_1.setFitRelativeZoomLevel,
};
/**
 * Document widget component for modifying the zoom mode / level
 */
class ZoomInOutWidgetComponent extends react_1.default.Component {
    zoomIn() {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel + 1);
    }
    zoomOut() {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel - 1);
    }
    /**
     * renders the component
     */
    render() {
        return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
            react_1.default.createElement(IconButton_1.default, { color: "inherit", onClick: () => this.zoomIn() },
                react_1.default.createElement(ZoomIn_1.default, null)),
            react_1.default.createElement(IconButton_1.default, { color: "inherit", onClick: () => this.zoomOut() },
                react_1.default.createElement(ZoomOut_1.default, null))));
    }
}
exports.ZoomInOutWidgetComponent = ZoomInOutWidgetComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ZoomInOutWidgetComponent);
exports.ZoomInOutWidget = connectedComponent;
//# sourceMappingURL=ZoomInOut.js.map