import React from 'react';
import { PreviewImageData } from '../../models';
import { componentType, Dimensions } from '../../services';
import { RootReducerType } from '../../store';
/**
 * The amount of rotation in degrees
 */
export declare const ROTATION_AMOUNT = 90;
/**
 * Defined the component's own properties
 */
export interface OwnProps {
    page: PreviewImageData;
    viewPort: Dimensions;
    zoomRatio: number;
}
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    rotateLeft: string;
    rotateRight: string;
};
/**
 * maps state actions from the store to component props
 */
export declare const mapDispatchToProps: {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[]; /**
         * renders the component
         */
        amount: number;
    };
    rotateShapesForPages: (pages: {
        index: number;
        size: Dimensions;
    }[], degree: number) => {
        type: string;
        pages: {
            index: number;
            size: Dimensions;
        }[];
        degree: number;
    };
};
/**
 * Page widget component for rotating a specified page
 */
export declare class RotatePageComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps, OwnProps>> {
    private rotatePageLeft;
    private rotatePageRight;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof RotatePageComponent, Pick<componentType<(state: RootReducerType) => {
    rotateLeft: string;
    rotateRight: string;
}, {
    rotateImages: (imageIndexes: number[], amount: number) => {
        type: string;
        imageIndexes: number[]; /**
         * renders the component
         */
        amount: number;
    };
    rotateShapesForPages: (pages: {
        index: number;
        size: Dimensions;
    }[], degree: number) => {
        type: string;
        pages: {
            index: number;
            size: Dimensions;
        }[];
        degree: number;
    };
}, OwnProps, {
    rotateLeft: string;
    rotateRight: string;
}, RootReducerType>, "page" | "zoomRatio" | "viewPort">>;
export { connectedComponent as RotatePageWidget };
//# sourceMappingURL=RotatePage.d.ts.map