import { Reducer } from 'redux';
import { IInjectableActionCallbackParams } from 'redux-di-middleware';
import { Comment } from '../models';
import { RootReducerType } from '.';
export interface CommentsState {
    items: Comment[];
    selectedCommentId: string;
    isCreateCommentActive: boolean;
    isPlacingCommentMarker: boolean;
}
export declare const SET_SELECTED_COMMENT_ID = "SET_SELECTED_COMMENT_ID";
export declare const GET_COMMENTS_SUCCESS = "GET_COMMENTS_SUCCESS";
export declare const GET_COMMENTS_REQUEST = "GET_COMMENTS_REQUEST";
export declare const CREATE_COMMENT_REQUEST = "CREATE_COMMENT_REQUEST";
export declare const CREATE_COMMENT_SUCCESS = "CREATE_COMMENTS_SUCCESS";
export declare const DELETE_COMMENT_SUCCESS = "DELETE_COMMENTS_SUCCESS";
export declare const DELETE_COMMENT_REQUEST = "DELETE_COMMENT_REQUEST";
export declare const TOGGLE_IS_CREATE_COMMENT_ACTIVE = "TOGGLE_IS_CREATE_COMMENT_ACTIVE";
export declare const TOGGLE_IS_PLACING_COMMENT_MARKER = "TOGGLE_IS_PLACING_COMMENT_MARKER";
export declare const getCommentsSuccess: (comments: Comment[]) => {
    type: string;
    comments: Comment[];
};
export declare const createCommentSuccess: (comment: Comment) => {
    type: string;
    comment: Comment;
};
export declare const deleteCommentSuccess: (id: string) => {
    type: string;
    id: string;
};
export declare const getComments: () => {
    type: string;
    inject: (options: IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
};
export declare const createComment: (comment: Pick<Comment, "text" | "page" | "x" | "y">) => {
    type: string;
    inject: (options: IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
};
export declare const deleteComment: (id: string) => {
    type: string;
    inject: (options: IInjectableActionCallbackParams<RootReducerType>) => Promise<void>;
};
/**
 * Set selected comment id action
 */
export declare function setSelectedCommentId(id: string): {
    type: string;
    id: string;
};
/**
 * Toggle isCreateCommentActive action
 */
export declare function toggleIsCreateCommentActive(isActive: boolean): {
    type: string;
    isActive: boolean;
};
/**
 * Toggle isPlacingCommentMarker action
 */
export declare function toggleIsPlacingCommentMarker(isPlacing: boolean): {
    type: string;
    isPlacing: boolean;
};
export declare const commentsDefaultState: CommentsState;
/**
 * Reducer method for the comments state
 */
export declare const commentsStateReducer: Reducer<CommentsState>;
//# sourceMappingURL=Comments.d.ts.map