import { DocumentStateType } from './Document';
import { LocalizationStateType } from './Localization';
import { CommentsState } from './Comments';
import { PreviewImagesStateType } from './PreviewImages';
import { ViewerStateType } from './Viewer';
/**
 * Type definitions for the sensenet document viewer root reducer
 */
export interface RootReducerType {
    comments: CommentsState;
    sensenetDocumentViewer: {
        /**
         * Reducer for the document state
         */
        documentState: DocumentStateType;
        /**
         * Reducer for the preview images
         */
        previewImages: PreviewImagesStateType;
        /**
         * Reducer for the viewer state and settings
         */
        viewer: ViewerStateType;
        /**
         * Reducer for the localized string resources
         */
        localization: LocalizationStateType;
    };
}
/**
 * The sensenetDocumentViewerReducer instance
 */
export declare const sensenetDocumentViewerReducer: import("redux").Reducer<{
    documentState: DocumentStateType;
    previewImages: PreviewImagesStateType;
    viewer: ViewerStateType;
    localization: LocalizationStateType;
}, import("redux").AnyAction>;
/**
 * The root reducer instance with the sensenetDocumentViewer reducer instance
 */
export declare const rootReducer: import("redux").Reducer<RootReducerType, import("redux").AnyAction>;
//# sourceMappingURL=RootReducer.d.ts.map