"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redux_1 = require("redux");
const Document_1 = require("./Document");
const Localization_1 = require("./Localization");
const Comments_1 = require("./Comments");
const PreviewImages_1 = require("./PreviewImages");
const Viewer_1 = require("./Viewer");
/**
 * The sensenetDocumentViewerReducer instance
 */
exports.sensenetDocumentViewerReducer = redux_1.combineReducers({
    documentState: Document_1.documentStateReducer,
    previewImages: PreviewImages_1.previewImagesReducer,
    viewer: Viewer_1.viewerStateReducer,
    localization: Localization_1.localizationReducer,
});
/**
 * The root reducer instance with the sensenetDocumentViewer reducer instance
 */
exports.rootReducer = redux_1.combineReducers({
    comments: Comments_1.commentsStateReducer,
    sensenetDocumentViewer: exports.sensenetDocumentViewerReducer,
});
//# sourceMappingURL=RootReducer.js.map