import { Store } from 'redux';
import { DocumentViewerSettings } from '../models';
import { RootReducerType } from './RootReducer';
/**
 * gets a configuration object for the Store instance
 * @param {DocumentViewerSettings} settings The Settings object for the document viewer instance
 */
export declare const getStoreConfig: (settings: DocumentViewerSettings) => {
    rootReducer: import("redux").Reducer<RootReducerType, import("redux").AnyAction>;
    preloadedState: {
        sensenetDocumentViewer: {
            documentState: {
                isLoading: boolean;
            };
        };
    };
    enhancer: any;
};
/**
 * returns a Store object for a Document Viewer instance
 * @param {DocumentViewerSettings} settings The Settings object for the document viewer instance
 */
export declare const configureStore: (settings: DocumentViewerSettings) => Store<RootReducerType>;
export * from './Comments';
export * from './Document';
export * from './PreviewImages';
export * from './RootReducer';
export * from './Viewer';
//# sourceMappingURL=index.d.ts.map